BrokerInfo (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.BrokerInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class BrokerInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.BrokerInfo

All Implemented Interfaces:
  Packet

public class BrokerInfo
extends AbstractPacket

Information about a connected Broker

Field Summary

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`BrokerInfo()`

Method Summary
`String` | `getBrokerName()`
`String` | `getClusterName()`
`int` | `getPacketType()` Return the type of Packet
`Properties` | `getProperties()`
`long` | `getStartTime()`
`void` | `setBrokerName(String newBrokerName)`
`void` | `setClusterName(String newClusterName)`
`void` | `setProperties(Properties newProperties)`
`void` | `setStartTime(long newStartTime)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceipt, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BrokerInfo

    public BrokerInfo()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### getBrokerName

    public String getBrokerName()

  Returns:
    Returns the brokerName.

### setBrokerName

    public void setBrokerName(String newBrokerName)

  Parameters:
    `newBrokerName` - The brokerName to set.

### getClusterName

    public String getClusterName()

  Returns:
    Returns the clusterName.

### setClusterName

    public void setClusterName(String newClusterName)

  Parameters:
    `newClusterName` - The clusterName to set.

### getProperties

    public Properties getProperties()

  Returns:
    Returns the properties.

### setProperties

    public void setProperties(Properties newProperties)

  Parameters:
    `newProperties` - The properties to set.

### getStartTime

    public long getStartTime()

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(long newStartTime)

  Parameters:
    `newStartTime` - The startTime to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.